Skip to main content
POST
/
v6
/
templates
/
rules
Save template rules
curl --request POST \
  --url https://sandbox.tight.com/v6/templates/rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "id": "trl_12345678",
      "businessTypeId": "bzt_123456",
      "status": "ACTIVE",
      "filter": {
        "type": {
          "in": [
            "EXPENSE",
            "REVENUE"
          ]
        },
        "description": {
          "equal": "Office Supplies",
          "contain": "Supplies"
        },
        "amount": {
          "equal": 123,
          "greaterThan": 123,
          "greaterThanEqual": 123,
          "lessThan": 123,
          "lessThanEqual": 123
        },
        "vendor": {
          "id": {
            "equal": "bka_12345678"
          },
          "name": {
            "equal": "Gusto",
            "contain": "Gust"
          }
        },
        "category": {
          "id": {
            "equal": "bka_12345678"
          }
        },
        "glAccount": {
          "id": {
            "equal": "bka_12345678"
          }
        },
        "bankAccount": {
          "id": {
            "equal": "bka_12345678"
          }
        }
      },
      "update": {
        "categoryId": "ctg_58932890",
        "vendorId": "vnd_28868401",
        "customerId": "cus_4852707",
        "reviewStatus": "RECONCILED"
      },
      "customData": {
        "internal_key": "some_internal_key",
        "some_other_field": 23434
      }
    }
  ],
  "applyToExistingUsers": false
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "result": "SUCCESS",
      "statusCode": 200,
      "data": {
        "id": "trl_12345678",
        "businessType": {
          "id": "bzt_123456",
          "name": "Electrician"
        },
        "status": "ACTIVE",
        "filter": {
          "type": {
            "in": [
              "EXPENSE",
              "REVENUE"
            ]
          },
          "description": {
            "equal": "Office Supplies",
            "contain": "Supplies"
          },
          "amount": {
            "equal": 123,
            "greaterThan": 123,
            "greaterThanEqual": 123,
            "lessThan": 123,
            "lessThanEqual": 123
          },
          "vendor": {
            "id": {
              "equal": "bka_12345678"
            },
            "name": {
              "equal": "Gusto",
              "contain": "Gust"
            }
          },
          "category": {
            "id": {
              "equal": "bka_12345678"
            }
          },
          "glAccount": {
            "id": {
              "equal": "bka_12345678"
            }
          },
          "bankAccount": {
            "id": {
              "equal": "bka_12345678"
            }
          }
        },
        "update": {
          "category": {
            "id": "ctg_58932890",
            "name": "Wages",
            "iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
          },
          "vendor": {
            "id": "vnd_28868401",
            "name": "Gusto"
          },
          "customer": {
            "id": "cus_4852707",
            "name": "Abigail Adams",
            "email": "abigail@tight.com"
          },
          "reviewStatus": "RECONCILED"
        },
        "customData": {
          "internal_key": "some_internal_key",
          "some_other_field": 23434
        }
      },
      "error": [
        {
          "type": "UNKNOWN_ERROR",
          "message": "<string>",
          "param": "<string>"
        }
      ]
    }
  ],
  "error": [
    {
      "type": "UNKNOWN_ERROR",
      "message": "<string>",
      "param": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.

Body

application/json
data
object[]

List of template rules to save

applyToExistingUsers
boolean
default:false

Apply this rule to existing users

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

error
object[]